﻿<?xml version="1.0" encoding="UTF-8"?>
<ContentView xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:local="clr-namespace:EventQMobileApp;assembly=EventQMobileApp"
             x:Class="EventQMobileApp.MobileHeaderView">
    <ContentView.Resources>
        <ResourceDictionary>
            <local:BooleanToColorConverter x:Key="statusColorConverter"
                                           SuccessColor="{x:StaticResource OnlineColor}"
                                           FailureColor="{x:StaticResource OfflineColor}" />
            <local:BooleanToColorConverter x:Key="connectionColorConverter"
                                           SuccessColor="{StaticResource BlackColor}"
                                           FailureColor="{StaticResource MediumGray}" />
            <local:BooleanToStringConverter x:Key="internetStringCovnerter"
                                            SuccessValue="{x:Static local:Resources.AppText.Online}"
                                            FailureValue="{x:Static local:Resources.AppText.Offline}" />
        </ResourceDictionary>
    </ContentView.Resources>
    <ContentView.Content>
        <!--MainPage Header Grid-->
        <Grid x:Name="GlMain" Padding="5">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="8*" />
                <ColumnDefinition Width="65*" />
                <ColumnDefinition Width="27*" />
            </Grid.ColumnDefinitions>

            <ImageButton Source="Home.png"
                         Aspect="AspectFit"
                         Command="{Binding HomeTapCommand}" />

            <Grid Grid.Column="1" RowSpacing="0" Padding="5">

                <Label Text="{Binding EventTitle}"
                       FontSize="{StaticResource DefaultFontSize}"
                       TextColor="{StaticResource BlackColor}"
                       VerticalOptions="EndAndExpand"
                       VerticalTextAlignment="Center"
                       FontAttributes="Bold" />

                <Label Text="{Binding EventDetails}"
                       Grid.Row="1"
                       FontSize="{StaticResource SmallFontSize}"
                       TextColor="Gray"
                       VerticalTextAlignment="Center" />
            </Grid>
            <Grid Grid.Column="2" RowSpacing="0">

                <Label Text="{Binding NoInternet,Converter={StaticResource internetStringCovnerter}}"
                       HorizontalTextAlignment="Center"
                       Grid.Column="0"
                       Grid.Row="0"
                       TextColor="{Binding NoInternet, Converter={StaticResource statusColorConverter}}"
                       FontSize="{StaticResource TinyFontSize}" />

               <StackLayout Grid.Column="0"
                            Grid.Row="1"
                            Orientation="Horizontal">

                   <Label Text="{Binding CheckInCount}"
                           FontSize="{StaticResource SmallFontSize}"
                           FontAttributes="Bold"
                           HorizontalTextAlignment="End" />

                    <Label Text="{Binding Percentage}"
                           TextColor="{StaticResource HighlightColor}"
                           FontSize="{StaticResource DefaultFontSize}" />

               </StackLayout>
            </Grid>
        </Grid>
    </ContentView.Content>
</ContentView>